package net.sourceforge.openutils.notifications.messages;

import java.util.List;

import javax.mail.internet.MimeBodyPart;

import net.sourceforge.openutils.notifications.Notification;


/**
 * @author molaschi
 * @version $Id: $
 */
public abstract class EmailNotification implements Notification
{

    /**
     * Default property name for email sender
     */
    public static String DEFAULT_SENDER = "mail.defaultSender";

    public static String BEAN_NAME = "emailNotifier";

    /**
     * {@inheritDoc}
     */
    @Override
    public final String getNotifierBeanName()
    {
        return BEAN_NAME;
    }

    public abstract List<MimeBodyPart> getAttachments();

}