package net.sourceforge.openutils.notifications.notifiers;

import java.util.List;

import net.sourceforge.openutils.notifications.Notification;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * @author molaschi
 * @version $Id: $
 */
public class SMSNotifier implements Notifier
{

    /**
     * Logger.
     */
    private Logger log = LoggerFactory.getLogger(SMSNotifier.class);

    private String smsGateway;

    private String userId;

    private String password;

    private String passwordProperty;

    private String userIdProperty;

    private String cellNumProperty;

    private String textProperty;

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean send(String from, List<String> toAddresses, List<String> ccAddress, List<String> ccnAddresses,
        Notification notification)
    {
        String url = smsGateway;
        if (url.indexOf("?") < 0)
        {
            url += "?";
        }
        else
        {
            url += "&";
        }

        for (String to : toAddresses)
        {
            /*
             * GetMethod request = new GetMethod(smsGateway); request.setQueryString(new NameValuePair[]{ new
             * NameValuePair(userIdProperty, userId), new NameValuePair(passwordProperty, password), new
             * NameValuePair(cellNumProperty, to), new NameValuePair(textProperty, notification.getMessageBody()) });
             * HttpClient client = new HttpClient(); try { client.executeMethod(request); } catch (HttpException ex) {
             * log.error("Exception sending sms", ex); } catch (IOException ex) { log.error("Exception sending sms",
             * ex); }
             */
        }
        return true;
    }

    /**
     * Returns the smsGateway.
     * @return the smsGateway
     */
    public String getSmsGateway()
    {
        return smsGateway;
    }

    /**
     * Sets the smsGateway.
     * @param smsGateway the smsGateway to set
     */
    public void setSmsGateway(String smsGateway)
    {
        this.smsGateway = smsGateway;
    }

    /**
     * Returns the userId.
     * @return the userId
     */
    public String getUserId()
    {
        return userId;
    }

    /**
     * Sets the userId.
     * @param userId the userId to set
     */
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    /**
     * Returns the password.
     * @return the password
     */
    public String getPassword()
    {
        return password;
    }

    /**
     * Sets the password.
     * @param password the password to set
     */
    public void setPassword(String password)
    {
        this.password = password;
    }

    /**
     * Returns the passwordProperty.
     * @return the passwordProperty
     */
    public String getPasswordProperty()
    {
        return passwordProperty;
    }

    /**
     * Sets the passwordProperty.
     * @param passwordProperty the passwordProperty to set
     */
    public void setPasswordProperty(String passwordProperty)
    {
        this.passwordProperty = passwordProperty;
    }

    /**
     * Returns the userIdProperty.
     * @return the userIdProperty
     */
    public String getUserIdProperty()
    {
        return userIdProperty;
    }

    /**
     * Sets the userIdProperty.
     * @param userIdProperty the userIdProperty to set
     */
    public void setUserIdProperty(String userIdProperty)
    {
        this.userIdProperty = userIdProperty;
    }

    /**
     * Returns the cellNumProperty.
     * @return the cellNumProperty
     */
    public String getCellNumProperty()
    {
        return cellNumProperty;
    }

    /**
     * Sets the cellNumProperty.
     * @param cellNumProperty the cellNumProperty to set
     */
    public void setCellNumProperty(String cellNumProperty)
    {
        this.cellNumProperty = cellNumProperty;
    }

    /**
     * Returns the textProperty.
     * @return the textProperty
     */
    public String getTextProperty()
    {
        return textProperty;
    }

    /**
     * Sets the textProperty.
     * @param textProperty the textProperty to set
     */
    public void setTextProperty(String textProperty)
    {
        this.textProperty = textProperty;
    }

}