package net.sourceforge.openutils.notifications;

/**
 * @author molaschi
 * @version $Id: $
 */
public interface Notification
{

    /**
     * Get the notifier bean
     * 
     * @return notifier
     */
    String getNotifierBeanName();

    /**
     * Get message body
     * 
     * @return message body
     */
    String getMessageBody() throws NotificationException;

    /**
     * Get message subject
     * 
     * @return message subject
     */
    String getMessageSubject();
}