package net.sourceforge.openutils.notifications.notifiers;

import java.util.List;

import net.sourceforge.openutils.notifications.Notification;
import net.sourceforge.openutils.notifications.NotificationException;


/**
 * @author molaschi
 * @version $Id: $
 */
public interface Notifier
{

    /**
     * Send method
     * @param from sender
     * @param toAddresses list of receivers
     * @param ccAddresses list of cc addresses
     * @param ccnAddresses list of ccn addresses
     * @param notification notification class
     * @return true if send succeed
     */
    boolean send(String from, List<String> toAddresses, List<String> ccAddresses, List<String> ccnAddresses,
        Notification notification) throws NotificationException;
}